> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poozle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integration accounts

> Get all integration accounts in a workspace



## OpenAPI

````yaml GET /v1/integration_account
openapi: 3.0.0
info:
  title: Poozle
  description: The poozle API description
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/integration_account:
    get:
      tags:
        - Integration Account
      description: Get all integration accounts in a workspace
      operationId: IntegrationAccountController_getIntegrationAccounts
      parameters:
        - name: workspaceId
          required: true
          in: query
          description: Workspace ID of the integration accounts you want to fetch
          example: 0a58f56e-3f59-4f4e-a8e1-a9e47aae5c3c
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IntegrationAccount'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
components:
  schemas:
    IntegrationAccount:
      type: object
      properties:
        integrationAccountId:
          type: string
          description: A unique identifier for Integration Account
        integrationDefinitionId:
          type: string
          description: A unique identifier for Integration Definition
        integrationConfiguration:
          type: object
          nullable: true
          description: Configuration used to configure the integration
        authType:
          type: string
          description: |-
            Type of authentication used to create this account
            Exmaple: OAuth2, Api Key etc
        workspaceId:
          type: string
          description: A unique identifier for Workspace
        integrationAccountName:
          type: string
          description: |-
            This is used for User experience. You can pass a name
            to easily identify the account in UI
        deleted:
          format: date-time
          type: string
          nullable: true
          description: When this account is deleted. If deleted
        createdAt:
          format: date-time
          type: string
          description: When the integration account was created.
        updatedAt:
          format: date-time
          type: string
          description: When the integration account was updated last.
        linkId:
          type: string
          nullable: true
          description: This will be linkId of the link used to created this account
      required:
        - integrationAccountId
        - integrationDefinitionId
        - integrationConfiguration
        - authType
        - workspaceId
        - integrationAccountName
        - deleted
        - createdAt
        - updatedAt
    ApiException:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        status:
          type: string
        error:
          type: string
        errors:
          type: object
        timestamp:
          type: string
        path:
          type: string

````